Bug 75413 - options missing when installer encounters problem
options missing when installer encounters problem
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-08 03:42 EDT by Fred New
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-08 03:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-10-08 03:42:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
Enhancement request: When installing packages and an error is encountered, give 
other options rather than "OK to die."

Version-Release number of selected component (if applicable):
RHL 7.3

How reproducible:

Steps to Reproduce:
1. Fresh installation of RHL7.3 (over the network, in my case).
2. Configure/partition everything and start installing packages.
3. If there are any errors while downloading a package (gnome-applets in my 
case) from the installation server, the installer will display a window that 
shows something like, "Disk space or package problem encountered. Click OK to 
quit installation."

Actual Results:  Click OK and the installation stops.

Expected Results:  I would expect a few more options like "Retry" and "Ignore".

Additional info:

From the one of the other virtual consoles, I could see that there was no 
shortage of disk space, so the problem must have occurred during the 
downloading of the gnome-applets package.  It wouldn't have taken much for the 
installer to re-attempt downloading the package.  Instead, the installer quit 
and wasted 30 minutes of my time in the middle of my RHCE exam.  The subsequent 
installation was successful as was every other installation in the exam room.  
(Fortunately, I could show to the examiner that the lost time was no fault of 
my own, and he gave me more time.)

Perhaps a different error window is needed for errors, such as disk space, that 
are not recoverable.
Comment 1 Jeremy Katz 2002-10-09 11:32:03 EDT
Unfortunately, that is an error which is passed up directly from RPM.  If you
hit it, then there really isn't anything to do other than to fail as gracefully
as possible; the package failing to install could as well be glibc as anything
else which would leave you with a non-working system.

Note You need to log in before you can comment on or make changes to this bug.